Bug 700059 - udev-170 is available
udev-170 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-27 07:10 EDT by Upstream Release Monitoring
Modified: 2011-05-23 05:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 05:04:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2011-04-27 07:10:40 EDT
Latest upstream release: 168
Current version in Fedora Rawhide: 167
URL: http://ftp.kernel.org/pub/linux/utils/kernel/hotplug/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Account closed by user 2011-05-11 17:30:26 EDT
udev 168
========

Bugfixes.

Udev logs a warning now if /run is not writable at udevd
startup. It will still fall back to /dev/.udev, but this is
now considered a bug.

The running udev daemon can now cleanly shut down with:
  udevadm control --exit

Udev in initramfs should clean the state of the udev database
with: udevadm info --cleanup-db which will remove all state left
behind from events/rules in initramfs. If initramfs uses
--cleanup-db and device-mapper/LVM, the rules in initramfs need
to add OPTIONS+="db_persist" for all dm devices. This will
prevent removal of the udev database for these devices.

Spawned programs by PROGRAM/IMPORT/RUN now have a hard timeout of
120 seconds per process. If that timeout is reached the spawned
process will be killed. The event timeout can be overwritten with
udev rules.

If systemd is used, udev gets now activated by netlink data.
Systemd will bind the netlink socket which will buffer all data.
If needed, such setup allows a seemless update of the udev daemon,
where no event can be lost during a udevd update/restart.
Packages need to make sure to: systemctl stop udev.socket udev.service
or 'mask' udev.service during the upgrade to prevent any unwanted
auto-spawning of udevd.
This version of udev conflicts with systemd version below 25. The
unchanged service files will not wirk correctly.
Comment 2 Upstream Release Monitoring 2011-05-20 06:49:12 EDT
Latest upstream release: 170
Current version in Fedora Rawhide: 167
URL: http://ftp.kernel.org/pub/linux/utils/kernel/hotplug/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Note You need to log in before you can comment on or make changes to this bug.